# Consultar Informações de uma Chave PIX

Este endpoint permite **consultar informações detalhadas de uma chave PIX**, informando a chave no corpo da requisição.

A operação retorna dados essenciais sobre o **titular da chave** e o **banco de destino**, incluindo:

* Nome e documento do titular;
* Banco e código ISPB;
* Código identificador da chave (`id`);
* Identificador **`endToEndId`**`.`

⚠️ O campo **`id` retornado é fundamental** para realizar o envio do PIX em etapas seguintes, pois ele identifica unicamente a chave no sistema e deve ser utilizado no payload do endpoint de **envio de PIX**.

## Endpoint para Consultar Chave Pix

<mark style="color:green;">`POST`</mark> `/accounts/{accountId}/pix/key-info`

Este endpoint é protegido e requer o uso do cabeçalho `Authorization: Bearer <token>` e `x-tenant-id`.

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |
| x-tenant-id   | `Tenant ID`        |

**Body**

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| `key` | string | Chave PIX   |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "key": {
    "id": "c5a81db4-926b-4cb7-85f9-7d2e5b421ac2",
    "key": "juliana.santos@example.com",
    "ispb": "12345678",
    "document": "***.987.654-**",
    "name": "Juliana Santos Almeida",
    "bankName": "Banco Stric Digital",
    "bankCode": "777",
    "endToEndId": "E202510081045STRIC1A2B3C4D5E6F7G8H"
  }
}

```

{% endtab %}

{% tab title="400" %}

```json
{
    "code": "BAD_REQUEST",
    "error": "Não foi possível consulta a key XXXXX.",
    "message": "Não foi possível consulta a key XXXX."
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stric.com.br/documentacao/fluxo-de-pagamentos-pix/consultar-informacoes-de-uma-chave-pix.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
